## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapKeyTraits< const XalanQName *> Struct Template Reference

`#include <XalanQName.hpp>`

List of all members.

## Public Types

- typedef XalanHashMemberPointer<
  XalanQName> Hasher
- typedef pointer_equal<XalanQName> Comparator

### template<> struct XalanMapKeyTraits< const XalanQName *>

## Member Typedef Documentation

template<>
typedef pointer_equal< XalanQName > XalanMapKeyTraits< const XalanQName *>::Comparator<XalanQName>

template<>
typedef XalanHashMemberPointer< XalanQName > XalanMapKeyTraits< const XalanQName *>::Hasher<XalanQName>

The documentation for this struct was generated from the following file:

- XalanQName.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.